Page MenuHomePhabricator

Phabricator requires a "real name" to register
Closed, ResolvedPublic

Description

Reopening: @Jalexander found out that Real Name is currently required in phabricator.wikimedia.org. It should be optional.

Previous description:

Existing task upstream: https://secure.phabricator.com/T4728 (Normal)

It must not be.

Details

Reference
fl121

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:25 AM
flimport set Reference to fl121.

swalling wrote on 2014-04-18 00:15:23 (UTC)

Is this really something we need to upstream?

You're not actually required to use a real name. You can use a pseudonym in that field, it's just what your display name is right?

qgil wrote on 2014-04-18 03:40:52 (UTC)

Maybe the contribution upstream could be not to make Real Name required since it is not used for anything useful and users can skip it anyway. Even a space gets you through.

Note also that our setup is supposed to offer Wikimedia SSO by default and maybe other ways to become a registered user here. Maybe those other systems don't even require this field. See T40: Pick an authentication provider.

qgil wrote on 2014-04-18 03:44:02 (UTC)

(When you move a card from backlog to a column the priority is changed?)

Nemo_bis wrote on 2014-04-18 06:48:13 (UTC)

Yes, Steven, I'm trained to cheat silly software; but not all our users can be expected to.

qgil wrote on 2014-04-18 16:08:01 (UTC)

Someone filed this request upstream: https://secure.phabricator.com/T4728

swalling wrote on 2014-04-18 17:42:26 (UTC)

I wonder if we might retain it as non-optional, but simply change the form's label to be "Display Name" or "Name"?

We don't want to suggest to users that their real name is required, because we support pseudonymous participation. But the Phabricator software seems to pretty much depend on having a display name that is not the username you authenticate with.

qgil wrote on 2014-04-21 04:00:17 (UTC)

After editing translation.override, now our instance reads "Name".

As someone commented in the task upstream, "Display Name" is not accurate because your actual display name is your username (e.g. StevenTesting).

The only bit remaining is making the field optional. Waiting for upstream.

qgil wrote on 2014-04-24 14:30:29 (UTC)

Extensive explanation of the social and technical implications of making Real Name optional at https://secure.phabricator.com/T4728#18

Note that this task would be basically invalid if we end up disabling username/password registration, relying entirely in Wikimedia SUL, a possibility considered at T40: Set up redirects from old bugzilla.wikimedia.org URLs.

qgil wrote on 2014-05-13 00:41:50 (UTC)

Resolved upstream: https://secure.phabricator.com/T4728

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:25 AM

https://secure.phabricator.com/T4728 was resolved, but only because it is possible to disable the "real name" field entirely.

AFAIK, we want to keep the field, because it is a useful way to provide an alternate name/nickname/handle; however, we want to change the label. I filed https://secure.phabricator.com/T6257 where Chad (of Phabricator) says

You should be able to change the "language" of the field as needed in your base English Translations (happy to fix that if needed, it may not exist).

Context: I believe the 3 main use-cases (now that we have a separate field for IRC nicks) are: 1) People who want to provide a Latin-character translation/alternative for their non-Latin username, 2) People who use a custom signature onwiki, that isn't their username, 3) People who want to use their real name.

So, please change (or create) the string used in the base English Translation, for <label class="aphront-form-label" for="UQ0_2">Real Name</label> (and ask Chad if assistance is needed).

I suggest changing the string to: "Additional name", or "Also known as (e.g. nickname or real name)", or similar.

Quiddity reopened this task as Open.Oct 21 2014, 11:25 PM
Qgil closed this task as Resolved.Oct 22 2014, 12:13 AM
Qgil claimed this task.

Let's let this task sleep, and let's discuss the rather simple fix in T798: Change "Real Name" string for "Also Known As".

Qgil reopened this task as Open.Oct 24 2014, 11:09 PM
Qgil added a subscriber: Jalexander.

@Jalexander found out that Real Name is currently required here. It should be optional.

The discussion about the string is still happening in T798.

Qgil removed Qgil as the assignee of this task.Oct 28 2014, 2:20 PM
Qgil added a subscriber: Qgil.Oct 30 2014, 8:02 AM

The fix is simple: https://phabricator.wikimedia.org/config/edit/user.require-real-name/ should be set to "Make real names optional".

Since this is a configuration that we want for all Phabricator instances, a patch against Phabricator's Puppet rules would be preferred. Otherwise, setting the change in this instance is just a matter of selection the option in a dropdown menu.

mmodell closed this task as Resolved.Oct 31 2014, 9:05 PM
mmodell claimed this task.
chasemp changed the task status from Resolved to Declined.Nov 3 2014, 2:10 PM
chasemp added a subscriber: chasemp.

no longer "required"

Qgil changed the task status from Declined to Resolved.Nov 3 2014, 2:15 PM

Sorry for being nitpicky... :)

Real name is no longer "required" because the problem was resolved.

Declined would mean that we refuse to make the name field optional.

actually the status change was unintentional as I was trying to resolve it and didn't realize it was already so ...thanks!

chasemp mentioned this in Unknown Object (Diffusion Commit).Nov 15 2014, 1:06 AM
chasemp mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM